Process to update the demo server

Well, apparently every other machine had a tomcat > 7.0.50, some of them appear to have it installed manually.

What is the recommended version of tomcat?

Anything above 7.0.26 :slight_smile:

By the way, i now see that demo.openmrs.org is getting exactly what i reported at Apache Tomcat/7.0.26 fails to run OpenMRS Platform 2.0 with the legacyui module :slight_smile:

I did some sort of tomcat surgery on that machine (which I’m not particularly proud), and it’s up and running. We absolutely need to revisit this later.

How could I know upfront which version of JDK and tomcat a certain version of openmrs ref-app distro requires?

@cintiadr i get the error when i try to open demo.openmrs.org/openmrs

http://pastebin.com/KngST7dT

@cintiadr thank you so much for updating the demo server! :slight_smile:

Revisiting this… can I get links to the current platform release as well as the file size summary so I can update this section too?

@jeffneiman is this what you are looking for? OpenMRS Platform 2.0.1 Released

Yap! But it looks like I already updated the download page to 2.0.1 , so I’m not sure what @taremwatadeo is referring to now… Oh well, guess it’s fine!

@jeffneiman do you mean the post he made 6 days ago? :smile:

1 Like

lol, yeah… sorry I’m behind on this!

@pascal did a follow up on that, but apparently we were trying to reset the demo using old demo data.

That’s still disabled, so I assume he didn’t have the time to do it yet.